program Project2;

{$APPTYPE CONSOLE}

var t,k,b,sum,c,i,j,n:longint;
v,l,time:real;
begin
assign(input,'TRANSPORT'); RESET(INPUT);
readln(t);
for i:=1 to t do begin
  sum:=0;
readln(n,v,l);
for j:=1 to n do
 begin
read(b,c);
sum:=sum +c;
end;
 time := l/v*60 +sum;
 writeln(time:1:2);
end;
end.
